open All Channels
seplocked EVE Technology Lab
blankseplocked ESAM - API for Simple Machine Forums - v1.4.2 (Final)
 
This thread is older than 90 days and has been locked due to inactivity.


 
Pages: 1 [2] 3 4 5 6 7 8 9

Author Topic

Squizz Caphinator
Woopatang
Posted - 2009.06.25 03:29:00 - [31]
 

(v1.2.0 BETA)
I was getting notices from some folks that they would login and get an error, at which point they had no access to any of the private boards. If they logged out and logged in again, they would then have the proper access.

I've managed to duplicate this error, identify, and fix it (99% sure). I would like anyone running the BETA to please uninstall the current BETA, download the newest and install that. If you have any users saying they have to log in twice, please make a note here:
Issue 55

Fermi prime
Posted - 2009.06.26 00:19:00 - [32]
 

I am having the oddest issue, it says everything is ok, installs, then I'm brought to this screen, there is also a blank space in the menu. See attached :) Thanks for your help!

Please visit your user settings to re-enable images.

Fermi Prime

Xornicon Altair
Woopatang
Primary.
Posted - 2009.06.27 04:17:00 - [33]
 

Have you tried highlighting stuff in that area to see if maybe it's just using the wrong color text?

Squizz Caphinator
Woopatang
Posted - 2009.06.30 15:09:00 - [34]
 

Caching improved. API fetcher now actually uses the cachedUntil field, rather than blatantly ignoring it. tsk tsk

This will greatly improve validation speeds.

Imuniser
Caldari
ROMANIA Renegades
ROMANIAN-LEGION
Posted - 2009.07.02 12:10:00 - [35]
 

Edited by: Imuniser on 02/07/2009 12:23:42
Edited by: Imuniser on 02/07/2009 12:10:53
Would be great to know how to install it as when I try to install it via the SMF packages I get the following error:

The package you are trying to download or install is either corrupt or not compatible with this version of SMF.

SMF version: 2.0 RC1-1

Squizz Caphinator
Woopatang
Posted - 2009.07.02 13:27:00 - [36]
 

Originally by: Imuniser
Edited by: Imuniser on 02/07/2009 12:23:42
Would be great to know how to install it as when I try to install it via the SMF packages I get the following error:

The package you are trying to download or install is either corrupt or not compatible with this version of SMF.

SMF version: 2.0 RC1-1


ESAM, at the time of this post, is not compatible with SMF 2.0, although it is in the works for an upcoming release.

Imuniser
Caldari
ROMANIA Renegades
ROMANIAN-LEGION
Posted - 2009.07.02 15:36:00 - [37]
 

Thank you for your quick reply.

MikeTee
Caldari
Diplomatic Disruption
Chain of Chaos
Posted - 2009.07.05 18:43:00 - [38]
 

I have been using the old version which works fines besides that issue of not being able to use the Corp Api,
I updated from the old version to the new one. I guess what my problem is that i am getting when i am installing
the new ESAM with the old ESAM uninstalled, i am just getting like whole bunch of webdings and the forums are somewhere in
the bottom of it all. I don't know what the problem is, i have been reading through all kinds of forums about it and yet still not figuring anything out. So do you know what my problem might be ?

Squizz Caphinator
Woopatang
Posted - 2009.07.06 13:26:00 - [39]
 

Originally by: MikeTee
I have been using the old version which works fines besides that issue of not being able to use the Corp Api,
I updated from the old version to the new one. I guess what my problem is that i am getting when i am installing
the new ESAM with the old ESAM uninstalled, i am just getting like whole bunch of webdings and the forums are somewhere in
the bottom of it all. I don't know what the problem is, i have been reading through all kinds of forums about it and yet still not figuring anything out. So do you know what my problem might be ?


The "webdings" were a result of a corrupted file in the build that was quickly pushed out because beer and bbq were calling my name. Build 20 has the fix in place.

Calachur
Caldari
Twilight Holdings
Twilight Research and Development Group
Posted - 2009.07.07 13:27:00 - [40]
 

I am getting the following error, not quite sure how I broke it.

Fatal error: Cannot redeclare eve_userapi_settings() (previously declared in .../Sources/Profile.php:2967) in /.../Sources/Profile.php on line 2996

the ... were originally the server path, this error happens when trying to look at my own or a members profile.
Any help would be appreciated.

Cal

Squizz Caphinator
Woopatang
Posted - 2009.07.07 20:38:00 - [41]
 

Originally by: Calachur
I am getting the following error, not quite sure how I broke it.

Fatal error: Cannot redeclare eve_userapi_settings() (previously declared in .../Sources/Profile.php:2967) in /.../Sources/Profile.php on line 2996

the ... were originally the server path, this error happens when trying to look at my own or a members profile.
Any help would be appreciated.

Cal


Please address all errors and requests to this page:

ESAM Issues

I get them faster that way, as I don't check these forums everyday. As it is, it seems you have installed ESAM more than once.

Calachur
Caldari
Twilight Holdings
Twilight Research and Development Group
Posted - 2009.07.07 22:22:00 - [42]
 

Thanks, got it all sorted now, thanks for a great addon/mod

Squizz Caphinator
Woopatang
Posted - 2009.07.10 15:16:00 - [43]
 

Edited by: Squizz Caphinator on 17/12/2009 21:51:24
v1.2.0 RC1 has been released, this includes many new requested features and bug fixes. Probably one of the biggest would be the ability to add members to a group based on a skill. For example, if a pilot is in your alliance and has Caldari Carrier trained to IV, you can add them to a Capital Pilots membergroup. Other improvements are better validation, ability to add any pilot, corp, or alliance to the rules. Lots of background fixes that no one but me cares about :)

Enjoy, and please, I've put a lot of time into this, ISK donations would be very nice!

Download here: ESAM v1.2.0 RC1 (link removed)
Issues here please Very Happy Bugs and other Issues or Feature Requests
Documentation: http://code.google.com/p/esam/wiki/EsamSetup

Aerek Naus
Knights Of Divinity
Unforgiving.
Posted - 2009.07.12 09:18:00 - [44]
 

Time to be a pain... but with the skill checking option... is it possible to have multiple queries

ie.... if pilot has Carrier 4, Capital Armor Rep4.... and so forth (like pre reqs for capital ship flying set out via a corp charter)

then they are placed into a certain group

Squizz Caphinator
Woopatang
Posted - 2009.07.13 02:02:00 - [45]
 

Originally by: Aerek Naus
Time to be a pain... but with the skill checking option... is it possible to have multiple queries

ie.... if pilot has Carrier 4, Capital Armor Rep4.... and so forth (like pre reqs for capital ship flying set out via a corp charter)

then they are placed into a certain group


While implementing the existing feature this occurred to me, and it isn't something that's very easy to do. I already put enough time into this mod, and other things need attention. Persuasion or volunteers are always welcomed.

metu
Minmatar
hirr
Morsus Mihi
Posted - 2009.07.13 17:04:00 - [46]
 

Good stuff here really wanna use it but waiting it for SMF 2.X Wink

Squizz Caphinator
Woopatang
Posted - 2009.07.16 17:53:00 - [47]
 

Edited by: Squizz Caphinator on 16/07/2009 17:53:31
ESAM v1.2.0 RC1 is now under a feature freeze. Planned release will be Monday, 2009/07/20.

ESAM v1.3.0 is going to have the sole goal of being SMF 2.0 compatible. This isn't as easy as you think Very Happy

Cheers.

Mat rix
Caldari
Deep Core Mining Inc.
Posted - 2009.07.20 09:06:00 - [48]
 

Edited by: Mat rix on 20/07/2009 10:13:36
Ignore my post i have put my error in the correct place now WinkRolling Eyes

Squizz Caphinator
Woopatang
Posted - 2009.07.20 15:09:00 - [49]
 

ESAM v1.2.0 is now out! Enjoy and keep those pesky spies out of your forums :)

* Note - RC1 b2 and this release are exactly the same

Squizz Caphinator
Woopatang
Posted - 2009.07.25 18:01:00 - [50]
 

ESAM v1.2.1 released, this is a security/bug fix release.

Many thanks go out to the few extra eyes that pointed out a couple of issues.

Squizz Caphinator
Woopatang
Posted - 2009.07.27 13:44:00 - [51]
 

ESAM v1.2.2 Released - more bug squashing!

Vorkin
Galaxy Punks
Posted - 2009.07.30 18:28:00 - [52]
 

download link isnt working, not many are. Might be CCP's new external link thing breaking them

Creesch
Under the Wings of Fury
Atrocitas
Posted - 2009.07.30 20:15:00 - [53]
 

just go to the google projects page :) the download link on there does work

Squizz Caphinator
Woopatang
Posted - 2009.08.03 15:28:00 - [54]
 

Issue 86

Much requested but long ignored, I am finally beginning work on ESAM so that it will work with SMF 2.0!

Jagdkommanderin
Gallente
Jagdkommando
Jagdkommand0
Posted - 2009.08.05 18:23:00 - [55]
 

Is it possible to put more than one api for a mamber?

Squizz Caphinator
Woopatang
Posted - 2009.08.05 19:56:00 - [56]
 

Originally by: Jagdkommanderin
Is it possible to put more than one api for a mamber?


Feature Request - Multiple APIs on one account

Jagdkommanderin
Gallente
Jagdkommando
Jagdkommand0
Posted - 2009.08.12 06:44:00 - [57]
 

cool, thank you for that awesome work

Squizz Caphinator
Woopatang
Posted - 2009.08.14 15:13:00 - [58]
 

Edited by: Squizz Caphinator on 14/08/2009 15:13:25
Originally by: Squizz Caphinator
Issue 86

Much requested but long ignored, I am finally beginning work on ESAM so that it will work with SMF 2.0!


After almost two weeks of trying to come up with a version of ESAM that will work nicely in both SMF 1.1.* and SMF 2.* I've determined it just isn't feasible. The project will need to be forked in order for it to be done right.

As such, I'm putting off SMF 2.* support for the time being. SMF 1.1.* is highly stable, secure, and still widely used. This will also allow me to start attacking the growing list of enhancement requests and keep up with regular releases.

I will be reverting the trunk back to just after 1.2.2 and continue with enhancement requests from there.

Many have shown appreciation for the time and effort I put into this project. Thank you very much!
Squizz

Squizz Caphinator
Woopatang
Posted - 2009.08.14 21:45:00 - [59]
 

Edited by: Squizz Caphinator on 17/12/2009 21:51:47
ESAM v1.2.3 beta build 1 is out!

This is the big one:

- Eve Character portraits can now be automatically pulled!

And then some other nice stuff that I've added today:

- All character's Corp and Alliance are now displayed on Validation and User Profile
- Prevents you from installing more than one ESAM (some folks were actually doing this)
- Tests to ensure you have PHP5
- Properly removed api information for deleted accounts
- Upgrades from legacy versions of ESAM should now run smoother
- Clicking the Legacy link prompts the administrator first to help prevent errors in the logs.
- Better language integration, now open to translators (HELP WANTED!)
- lots of other little things you won't really care about

And more coming along in the next week or so


Livia Verheor
Minmatar
Bionesis Technologies
Electus Matari
Posted - 2009.08.15 09:09:00 - [60]
 

Edited by: Livia Verheor on 15/08/2009 09:10:09
Thanks for the great API, just installed 1.2.2 yesterday and it's working fine. Didn't see the 1.2.3beta coming, though Very Happy

Edit : I'll gladly work on the French translation.


Pages: 1 [2] 3 4 5 6 7 8 9

This thread is older than 90 days and has been locked due to inactivity.


 


The new forums are live

Please adjust your bookmarks to https://forums.eveonline.com

These forums are archived and read-only